Bug 489293 - Review Request: kvkbd - Virtual keyboard for KDE
Review Request: kvkbd - Virtual keyboard for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 07:30 EDT by Jaroslav Reznik
Modified: 2009-03-23 03:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 03:15:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2009-03-09 07:30:48 EDT
Spec URL: http://rezza.hofyland.cz/fedora/packages/kvkbd/kvkbd.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/kvkbd/kvkbd-0.6-1.fc10.src.rpm
Description: Kvkbd is a virtual keyboard for KDE, it contains many feature like system tray and dock support, autodetection and on the fly change of the keyboard layout, scripting with DBus, etc.
Comment 1 Jaroslav Reznik 2009-03-09 07:32:56 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1231229
Comment 2 Parag AN(पराग) 2009-03-10 04:27:38 EDT
I cannot build this on F10.
cmake error
CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:84 (MESSAGE):
  ERROR: cmake/modules/FindKDE4Internal.cmake not found in
  /root/.kde/share/apps;/usr/share/kde-settings/kde-profile/default/share/apps;/usr/share/kde4/apps
Call Stack (most recent call first):
  CMakeLists.txt:4 (find_package)
Comment 3 Jaroslav Reznik 2009-03-10 05:23:56 EDT
You don't have kdelibs-devel installed as it's BR. 

F10 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1234342
Comment 4 Parag AN(पराग) 2009-03-10 06:01:42 EDT
(In reply to comment #3)
> You don't have kdelibs-devel installed as it's BR. 
> 
> F10 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1234342  

 yes you are correct. something goes wrong when I tried to install kdelibs-devel and I assumed I have it installed.
mirrors are not in sync.

Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1231229
+ rpmlint output for SRPM and for RPM.
kvkbd.i586: W: dangling-symlink /usr/share/doc/HTML/en/kvkbd/common /usr/share/doc/HTML/en/common
==> Can be ignored.

+ source files match upstream url
342e8e7fcfc54d978615b1c2d019cbe5  94374-kvkbd-0.6.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.
Comment 5 Jaroslav Reznik 2009-03-10 07:00:43 EDT
New Package CVS Request
=======================
Package Name: kvkbd 
Short Description: Virtual keyboard for KDE
Owners: jreznik
Branches: F-9 F-10
InitialCC:
Comment 6 Jaroslav Reznik 2009-03-10 07:01:43 EDT
And thanks for quick review!
Comment 7 Dennis Gilmore 2009-03-10 16:15:46 EDT
CVS Done
Comment 8 Parag AN(पराग) 2009-03-23 00:55:23 EDT
If this package is built for all requested branches then can we have this review closed now?
Comment 9 Jaroslav Reznik 2009-03-23 03:15:14 EDT
Yes,
it's in stable repository & rawhide.

Note You need to log in before you can comment on or make changes to this bug.